package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItemdiscountDeleteactivityRequest struct {
	/*
	   需要删除的活动的信息     */
	Param *domain.AlibabaHmMarketingItemdiscountDeleteactivityCommonActivityRequest `json:"param" required:"true" `
}

func (s *AlibabaHmMarketingItemdiscountDeleteactivityRequest) SetParam(v domain.AlibabaHmMarketingItemdiscountDeleteactivityCommonActivityRequest) *AlibabaHmMarketingItemdiscountDeleteactivityRequest {
	s.Param = &v
	return s
}

func (req *AlibabaHmMarketingItemdiscountDeleteactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaHmMarketingItemdiscountDeleteactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
